const { expect } = require('@jest/globals');
const sparkoPay = require("../../sparko/pay")
const nock = require('nock');

// beforeEach(async () => {
    
// });

// afterEach(async () => {
    
// });

beforeAll(async () => {
    // Return nothing for a unknown invoice
    const labelNotFound = nock('https://spark.server.com')
    .post('/rpc', {
        method: "getinfo",
        params: {
        }
    })
    .times(1)
    .reply(200, {
        id: "longidofthethingswehave",
        alias: "alias0"
    })
    .persist();

    // Return the invoice with issuedInvoice
    // const scope = nock('https://bond007.spark.server.com')
    // .post('/rpc', {
    //     method: "listinvoices",
    //     params: {
    //         label: "issuedInvoice"
    //     }
    // })
    // .reply(200, {
    //     invoices: [
    //         {
    //             label: "issuedInvoice"
    //         }
    //     ]
    // })
    // .persist();
})

test('GetInfo 200 ', async () => {
    const nodeInfo = await sparkoPay.getInfo("lnbc1...")

    expect(nodeInfo).not.toBeNull()
});

test('GetInfo Error ', async () => {
    const nodeInfo = await sparkoPay.getInfo("lnbc1...")

    expect(nodeInfo).not.toBeNull()
});

// test('ListInvoices 200 existing invoice', async () => {
//     const invoice = await sparko.getInfo({
//         id: "issuedInvoice",
//         lightningNode: {
//             alias: "bond007"
//         }
//     })

//     expect(invoice).not.toBeNull()
//     expect(invoice.label).toBe("issuedInvoice")
// });