const crypto = require("crypto");

module.exports.generateSignature = (apiSecret, apiKey) => {
    const nonce = new Date().getTime();

    return {
        nonce,
        signature: crypto.createHmac('SHA256', apiSecret).update(`${nonce}${apiKey}`).digest('hex')
    };
}