const metadata = require('../metadata')
const sparkoInvoice = require("../../sparko/invoice")

module.exports.bolt11LightningAddressInvoice = async (username, domain, msat, label, expiry = null) => {
    const metadataString = metadata.makeMetadataString(
        username,
        domain
    )

    return this.bolt11Invoice(
        metadataString,
        msat,
        label,
        expiry
    )
}

module.exports.bolt11Invoice = async (description, msat, label, expiry = null, deschash = true) => {    
    return sparkoInvoice.invoice(
        msat,
        label,
        description,
        deschash,
        expiry
    )
}