const makeMetadataArray = (username, domain) => {
    return [
        [
            "text/identifier",
            `${username}@${domain}`
        ],
        [
            "text/plain", // mandatory,
            `Send satoshis to ${username}@${domain}` // short description displayed when paying and in transaction log
        ],
        [
            "text/long-desc", // optional
            `Send satoshis to ${username}@${domain}.\n\n1 Bitcoin = 100 000 000 satoshis.` // longer description of the payment, MAY contain newlines
        ],
        // TODO: Add Machankura image...
        // [
        //     "image/jpeg;base64", // optional
        //     "string" // base64 string, 512x512px JPG thumbnail which will represent this lnurl in a list or grid. Up to 136536 characters (100Kb of image data in base-64 encoding)
        // ]
    ]
}

module.exports.makeMetadataString = (username, domain) => {
    return JSON.stringify(makeMetadataArray(username, domain))
}

